Bug 60872 - tab-completion causes a seg fault during an interactive restore
Summary: tab-completion causes a seg fault during an interactive restore
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dump (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: ia64 Linux
low
low
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-08 02:30 UTC by Ben Levenson
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-23 00:41:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace during 'restore' (32.05 KB, text/plain)
2002-03-08 03:04 UTC, Ben Levenson
no flags Details

Description Ben Levenson 2002-03-08 02:30:25 UTC
Description of Problem:
Tab completion causes a segmentation fault during interactive restores.
  # RMT=/sbin/rmt RSH=rsh restore -i -f root@i386-72:/tmp/dump-test
  Connection to i386-72 established.
  restore > ext<TAB> Segmentation fault

This works properly on i386.

Version-Release number of selected component (if applicable):
dump-0.4b22-6.ia64.rpm
rmt-0.4b22-6.ia64.rpm

How Reproducible:
100%

Steps to Reproduce:
1. see 'description of problem'

Actual Results:
segmentation fault

Expected Results:
tab-completion should have expanded to the command 'extract'

Additional Information:
the seg fault occurs when trying to expand commands and directory names
within a dump volume. 
WORKAROUND: everything is restored properly as long as the commands
and directory names are typed manually.
strace to follow

Comment 1 Ben Levenson 2002-03-08 03:04:54 UTC
Created attachment 47861 [details]
strace during 'restore'

Comment 2 Mike A. Harris 2002-03-08 06:25:33 UTC
I'd suspect libreadline myself ... shooting from the hip...

This version of dump is ancient though.  Does it do this in the latest
erratum?

Comment 3 Ben Levenson 2002-03-11 17:30:56 UTC
I discovered the bug while testing the erratum packages.

Comment 4 Mike A. Harris 2002-07-30 01:55:00 UTC
Deferring for future investigation.

Comment 5 Mike A. Harris 2002-11-03 06:48:31 UTC
Does this still occur in the latest stable release, or in our current
developmental release?

Comment 6 Ben Levenson 2002-11-23 00:41:16 UTC
I just verified that dump-0.4b28-4 fixes this problem.

Comment 7 Mike A. Harris 2002-11-23 03:59:07 UTC
Closing as CURRENTRELEASE


Note You need to log in before you can comment on or make changes to this bug.